### File

`packages/components/eui-rating/eui-rating.component.ts`

### Description

Rating component that can be used as a standalone start rating or within reactive forms.

### Implements

`ControlValueAccessor` `OnInit` `AfterViewInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
HostDirectives | `BaseStatesDirective`
providers | `{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => EuiRatingComponent), multi: true, }`
selector | `eui-rating`
imports | `ReactiveFormsModule` `EUI_ICON` `EUI_BUTTON`
templateUrl | `./eui-rating.component.html`
styleUrl | `./eui-rating.scss`

### Index

###### Properties
ratingButtons role
###### Methods
Public onFocusOut Public registerOnChange Public registerOnTouched Public setDisabledState Public writeValue
###### Inputs
ariaLabel euiDisabled numberOfStars rating
###### Outputs
ratingChange
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

ariaLabel
Type : `string`
Default value : `'eUI Rating'`
Binds the aria-label attribute to the component.

euiDisabled
Type : `boolean`
Default value : `false`
Whether the toggle is disabled

numberOfStars
Type : `number`
Default value : `5`
Current numbers of stars rating to display

rating
Type : `number`
Default value : `0`
Current rating number

### Outputs

ratingChange
Type : `EventEmitter`
Event emitted when toggle state changes

### HostBindings

attr.role
Type : `string`
Default value : `'radiogroup'`
Binds the role attribute to the component.

class
Type : `string`
CSS classes applied to the host element

### Methods

Public onFocusOut
`onFocusOut()`
Handles focus out event Notifies form control of touch event Returns : `void`

Public registerOnChange
`registerOnChange(fn: any)`
Implements ControlValueAccessor Registers change handler Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

Public registerOnTouched
`registerOnTouched(fn: any)`
Implements ControlValueAccessor Registers touch handler Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

Public setDisabledState
`setDisabledState(isDisabled: boolean)`
Implements ControlValueAccessor Updates the rating's disabled state Parameters :
Name | Type | Optional
isDisabled | `boolean` | No
Returns : `void`

Public writeValue
`writeValue(value: number)`
Implements ControlValueAccessor Updates the toggle's checked state Parameters :
Name | Type | Optional
value | `number` | No
Returns : `void`

### Properties

ratingButtons
Type : `QueryList<ElementRef>`
Decorators : `@ViewChildren('euiRatingButtonRef', {read: ElementRef})`

role
Type : `string`
Default value : `'radiogroup'`
Decorators : `@HostBinding('attr.role')`
Binds the role attribute to the component.

### Accessors

cssClasses
get `cssClasses()`
CSS classes applied to the host element Returns : `string`

# results matching ""

# No results matching ""